Bug 1133552 - Deployment Target UI doesn't support "custom" target types
Deployment Target UI doesn't support "custom" target types
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: FUTURE
Assigned To: Eric Wittmann
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-25 08:53 EDT by Eric Wittmann
Modified: 2015-11-02 03:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DTGOV-205 Major Closed Deployment Target UI doesn't support "custom" target types 2016-11-07 02:57 EST
JBoss Issue Tracker DTGOV-216 Major Closed Custom Deployer Type field should be a drop-down 2016-11-07 02:57 EST
JBoss Issue Tracker DTGOV-218 Major Closed Custom Target Type Demo 2016-11-07 02:57 EST

  None (edit)
Description Eric Wittmann 2014-08-25 08:53:40 EDT
Description of problem:
The deployment target backend supports custom deployment types. This allows users to create their own deployment types that are specific to their enterprise/organization. However there is no way to configure a custom deployment type in the dtgov admin UI.

This feature is intended to allow customers to define their own deployment logic by writing some Java code and enabling it in dtgov.  The UI is missing the capabilities to configure this support.
Comment 1 JBoss JIRA Server 2014-09-04 08:28:59 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-216 to Resolved
Comment 2 JBoss JIRA Server 2014-09-04 08:29:01 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-218 to Resolved
Comment 3 JBoss JIRA Server 2014-09-04 08:29:35 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-205 to Resolved
Comment 4 JBoss JIRA Server 2014-09-04 08:29:43 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-216 to Closed
Comment 5 JBoss JIRA Server 2014-09-04 08:29:44 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-218 to Closed
Comment 6 JBoss JIRA Server 2014-09-04 08:30:04 EDT
Eric Wittmann <eric.wittmann@redhat.com> updated the status of jira DTGOV-205 to Closed

Note You need to log in before you can comment on or make changes to this bug.